Package org.eclipse.mat.hprof

# Interface IPositionInputStream

All Superinterfaces:
  `DataInput`

All Known Implementing Classes:
  `BufferingRafPositionInputStream`, `ByteArrayPositionInputStream`, `DefaultPositionInputStream`

public interface IPositionInputStream extends DataInput

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`mark(int readLimit)`
`boolean`
`markSupported()`
`long`
`position()`
`int`
`read()`
`int`
`read(byte[] b, int off, int len)`
`boolean`
`readBoolean()`
`byte`
`readByte()`
`char`
`readChar()`
`double`
`readDouble()`
`float`
`readFloat()`
`void`
`readFully(byte[] b)`
`void`
`readFully(byte[] b, int off, int len)`
`long`
`readID(int idSize)`
`int`
`readInt()`
`String`
`readLine()`
`long`
`readLong()`
`short`
`readShort()`
`int`
`readUnsignedByte()`
`long`
`readUnsignedInt()`
`int`
`readUnsignedShort()`
`String`
`readUTF()`
`void`
`reset()`
`void`
`seek(long pos)`
`long`
`skip(long n)`
`int`
`skipBytes(int n)`
`int`
`skipBytes(long n)`

## Method Details

### read

int read() throws IOException

Throws:
  `IOException`

### read

int read(byte[] b, int off, int len) throws IOException

Throws:
  `IOException`

### skip

long skip(long n) throws IOException

Throws:
  `IOException`

### markSupported

boolean markSupported()

### mark

void mark(int readLimit)

### reset

void reset() throws IOException

Throws:
  `IOException`

### skipBytes

int skipBytes(int n) throws IOException

Specified by:
  `skipBytes` in interface `DataInput`
Throws:
  `IOException`

### skipBytes

int skipBytes(long n) throws IOException

Throws:
  `IOException`

### readFully

void readFully(byte[] b) throws IOException

Specified by:
  `readFully` in interface `DataInput`
Throws:
  `IOException`

### readFully

void readFully(byte[] b, int off, int len) throws IOException

Specified by:
  `readFully` in interface `DataInput`
Throws:
  `IOException`

### position

long position()

### seek

void seek(long pos) throws IOException

Throws:
  `IOException`

### readUnsignedByte

int readUnsignedByte() throws IOException

Specified by:
  `readUnsignedByte` in interface `DataInput`
Throws:
  `IOException`

### readInt

int readInt() throws IOException

Specified by:
  `readInt` in interface `DataInput`
Throws:
  `IOException`

### readLong

long readLong() throws IOException

Specified by:
  `readLong` in interface `DataInput`
Throws:
  `IOException`

### readBoolean

boolean readBoolean() throws IOException

Specified by:
  `readBoolean` in interface `DataInput`
Throws:
  `IOException`

### readByte

byte readByte() throws IOException

Specified by:
  `readByte` in interface `DataInput`
Throws:
  `IOException`

### readChar

char readChar() throws IOException

Specified by:
  `readChar` in interface `DataInput`
Throws:
  `IOException`

### readDouble

double readDouble() throws IOException

Specified by:
  `readDouble` in interface `DataInput`
Throws:
  `IOException`

### readFloat

float readFloat() throws IOException

Specified by:
  `readFloat` in interface `DataInput`
Throws:
  `IOException`

### readLine

String readLine() throws IOException

Specified by:
  `readLine` in interface `DataInput`
Throws:
  `IOException`

### readShort

short readShort() throws IOException

Specified by:
  `readShort` in interface `DataInput`
Throws:
  `IOException`

### readUTF

String readUTF() throws IOException

Specified by:
  `readUTF` in interface `DataInput`
Throws:
  `IOException`

### readUnsignedShort

int readUnsignedShort() throws IOException

Specified by:
  `readUnsignedShort` in interface `DataInput`
Throws:
  `IOException`

### readUnsignedInt

long readUnsignedInt() throws IOException

Throws:
  `IOException`

### readID

long readID(int idSize) throws IOException

Throws:
  `IOException`

### close

void close() throws IOException

Throws:
  `IOException`